Description

I would like to create a new ideal from a list which I know is a (reduced) GBasis.

How should I do this?

In fact, my situation is a special case of I = J1+J2 where I have gbases for J1 and J2,

and gcd(LT,LT)=1  for all choices of g from ReducedGBasis(J1) and h from RGB.

Is there an easy/quick way to do this?  (without just doing I=J1+J2; GBasis(I))

Related issues:

Related to CoCoALib - Feature #658: Indets actually in a poly (or vector or m... Closed 22 Jan 2015

Related to CoCoALib - Design #1255: Ideals with trivial GBasis New 11 Mar 2019

History

#1 - 24 Oct 2019 15:38 - John Abbott

Here is the background for my request.

I want to modify MinPolyQuot so that it accepts "relatively zero-dim ideals": e.g. an ideal whose RGB (which has already been computed) involves

only x and y even though the ring is QQ[x,y,z].  What I am thinking of implementing is: find out which indets do not appear in the RGB, then create a

new RGB being the old one with each "missing" indet added as a new RGB element.

I suppose I could try creating a new poly ring (with fewer indets); map the computation into this smaller poly ring, and map the answer back.  To do

this cleanly, I'd need to create the new poly ring with an ordering which is compatible with the original one (but restricted just to those indets which

actually appear), and then create an ideal in this new ring; but again I want to be able to say that I know that these gens really do form a (reduced)

GBasis.

I was aiming to use the first approach because it seemed easier to implement.  The second approach is perhaps mathematically cleaner?

#2 - 24 Oct 2019 16:26 - John Abbott

- Related to Feature #658: Indets actually in a poly (or vector or matrix) added

#3 - 29 Oct 2020 12:53 - John Abbott

- Related to Design #1255: Ideals with trivial GBasis added

#4 - 29 Oct 2020 12:54 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#5 - 29 Oct 2020 13:32 - John Abbott

There are already fns IdealOfGBasis and SetGBasisAsGens.  Where is the doc for the 2nd fn?
Despite some initial doubts, I now think that this issue is genuinely different from issue #1255, since here the idea is to trust the caller blindly, whereas

#1255 would imply having to do some (possibly quite a lot) computation.

#6 - 22 Jan 2024 20:24 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

What is the status of this issue?

The previous comment suggests that it should be feedback or closed.  Is there any reason why not?

#7 - 16 Feb 2024 09:52 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
